summaryrefslogtreecommitdiff
path: root/tests/test-binary-io.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-binary-io.sh')
-rwxr-xr-xtests/test-binary-io.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/test-binary-io.sh b/tests/test-binary-io.sh
new file mode 100755
index 00000000..a177d947
--- /dev/null
+++ b/tests/test-binary-io.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles t-bin-out0.tmp t-bin-out1.tmp"
+${CHECKER} ./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
+cmp t-bin-out0.tmp t-bin-out1.tmp > /dev/null || exit 1
+
+rm -fr $tmpfiles
+
+exit 0